
class ComponentJsGenerator {

    getSuffix(){
        return ".component.js"
    }    

    getTemplate(componentName){

        // convert to camel case
        let dashtoUpperCase = componentName.replace(/(-)([a-z])(?!$)/g, (text) => text.toUpperCase().substring(1));
        let camelCaseComponentName = dashtoUpperCase.replace(/^[a-z]/g, (text) => text.toUpperCase());

        return `
require("./${componentName}.component.less");

class ${camelCaseComponentName}Controller {

    constructor(){

    }
}

const ${camelCaseComponentName}Component = {

    bindings: {},

    template: require("./${componentName}.component.html"),

    controller: ${camelCaseComponentName}Controller
};

angular
    .module('app')
    .component('${dashtoUpperCase}', ${camelCaseComponentName}Component);`
    }
}

const instance = new ComponentJsGenerator();

module.exports = instance;